org.apache.trevni.avro

## Class AvroTrevniInputFormat<T>

- java.lang.Object
- - org.apache.hadoop.mapred.FileInputFormat<AvroWrapper<T>,NullWritable>
  - - org.apache.trevni.avro.AvroTrevniInputFormat<T>

- All Implemented Interfaces:
    InputFormat<AvroWrapper<T>,NullWritable>

      public class AvroTrevniInputFormat<T>
      extends FileInputFormat<AvroWrapper<T>,NullWritable>

  An `InputFormat` for Trevni files.

  A subset schema to be read may be specified with `AvroJob.setInputSchema(JobConf,Schema)`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.mapred.FileInputFormat

      `FileInputFormat.Counter`

  - ### Field Summary

    - ### Fields inherited from class org.apache.hadoop.mapred.FileInputFormat

      `INPUT_DIR_NONRECURSIVE_IGNORE_SUBDIRS, INPUT_DIR_RECURSIVE, LOG, NUM_INPUT_FILES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AvroTrevniInputFormat()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RecordReader<AvroWrapper<T>,NullWritable>` | `getRecordReader(InputSplit split, JobConf job, Reporter reporter)`
    `protected boolean` | `isSplitable(FileSystem fs, Path filename)`
    `protected FileStatus[]` | `listStatus(JobConf job)`

    - ### Methods inherited from class org.apache.hadoop.mapred.FileInputFormat

      `addInputPath, addInputPathRecursively, addInputPaths, computeSplitSize, getBlockIndex, getInputPathFilter, getInputPaths, getSplitHosts, getSplits, makeSplit, makeSplit, setInputPathFilter, setInputPaths, setInputPaths, setMinSplitSize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AvroTrevniInputFormat

          public AvroTrevniInputFormat()

  - ### Method Detail

    - #### isSplitable

          protected boolean isSplitable(FileSystem fs,
                                        Path filename)

      Overrides:
        `isSplitable` in class `FileInputFormat<AvroWrapper<T>,NullWritable>`

    - #### listStatus

          protected FileStatus[] listStatus(JobConf job)
                                     throws IOException

      Overrides:
        `listStatus` in class `FileInputFormat<AvroWrapper<T>,NullWritable>`
      Throws:
        `IOException`

    - #### getRecordReader

          public RecordReader<AvroWrapper<T>,NullWritable> getRecordReader(InputSplit split,
                                                                           JobConf job,
                                                                           Reporter reporter)
                                                                    throws IOException

      Specified by:
        `getRecordReader` in interface `InputFormat<AvroWrapper<T>,NullWritable>`
      Specified by:
        `getRecordReader` in class `FileInputFormat<AvroWrapper<T>,NullWritable>`
      Throws:
        `IOException`

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.